#!/bin/sh

pid=$[$1]

term=/net/bin/rxvt
gdb=/mnt/mdk/home/malc/binutils.build/gdb/gdb

if [ ! -x $term ]; then
    term=xterm
fi

if [ ! -x $gdb ]; then
    gdb=gdb
fi

exe=$(readlink /proc/$pid/exe)
dir=$(dirname $exe)
arg=$dir/.gdbinit

if [ -f $arg ]; then
    arg=" -x $arg"
else
    arg=
fi

#echo "pid=" $pid
#echo "exe=" $exe
#echo "dir=" $dir
#echo "arg=" $arg

exec $term -e $gdb --pid=$pid -quiet$arg $exe
